Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		alienarena
Summary: 	Multiplayer retro sci-fi deathmatch game
Version:	7.10
Release:	1
License:	GPLv2+
Group:		Games/First Person Shooter
URL:		http://red.planetarena.org/

Source0:	alienarena710src.zip
Source1:	alienarena.sh
Source2:	alienarena.desktop
Source3:	GPL.acebot.txt

Patch0:		alienarena-7.10-noSGIglext.patch
Patch1:		alienarena-7.10-fhs.patch
Patch2:		alienarena-7.10-dont-search-dll-in-data-path.patch
Patch3:		alienarena-7.10-genericoptflagsonly.patch

BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	libXxf86dga-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	SDL-devel
BuildRequires:	curl-devel
BuildRequires:	libpng-devel
BuildRequires:	desktop-file-utils

Requires:	alienarena-data = 20080603

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

%description
Alien Arena 2008 is an online deathmatch game with over 30 levels, seven modes 
of play, loads of mutators, built-in bots, 11 player characters, and 9 weapons
(with alt-fire modes).

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1
%patch1 -p1 -b .fhs
%patch2 -p1
%patch3 -p1
cp -p %{SOURCE3} .
sed -i 's|"game.so"|"%{_libdir}/%{name}/game.so"|g' source/unix/sys_unix.c

%build
cd source/
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_libdir/alienarena/,%_libexecdir}
install -m0755 source/release/crded $RPM_BUILD_ROOT%_bindir
# Don't install this one, it barely works. The SDL binary works better.
# install -m0755 source/release/crx $RPM_BUILD_ROOT%{_bindir}
install -m0755 -p source/release/crx.sdl $RPM_BUILD_ROOT%_libexecdir
install -m0755 -p source/release/game.so $RPM_BUILD_ROOT%_libdir/alienarena/
install -m0755 -p %{SOURCE1} $RPM_BUILD_ROOT%_bindir/alienarena
mkdir -p $RPM_BUILD_ROOT%_datadir/alienarena/arena/
mkdir -p $RPM_BUILD_ROOT%_datadir/alienarena/data1/

mkdir -p $RPM_BUILD_ROOT%_applications
desktop-file-install --dir $RPM_BUILD_ROOT%_applications %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL.acebot.txt
%_bindir/alienarena
%_bindir/crded
%dir %_datadir/alienarena/
%dir %_datadir/alienarena/arena
%dir %_datadir/alienarena/data1
%_applications
%_libdir/%{name}
%_libexecdir/crx.sdl

%changelog
* Wed Sep 24 2008 Christian Wasem <wasem@ccux-linux.de> 7.10-1
- Initial release